Bug 1461898 - Channel drop-down menu on the "Manage software packages" page has wrong hierarchy of parent/childs channels
Channel drop-down menu on the "Manage software packages" page has wrong hiera...
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Grant Gainey
Radovan Drazny
: 1481661 (view as bug list)
Depends On:
Blocks: sat58-errata 1482078
  Show dependency treegraph
Reported: 2017-06-15 10:24 EDT by Radovan Drazny
Modified: 2017-10-19 07:57 EDT (History)
4 users (show)

See Also:
Fixed In Version: spacewalk-java-2.5.14-96-sat
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1482078 (view as bug list)
Last Closed: 2017-10-19 07:57:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Real channel structure on the Sat server (102.65 KB, image/png)
2017-06-15 10:24 EDT, Radovan Drazny
no flags Details
Wrong structure in the drop down menu (98.91 KB, image/png)
2017-06-15 10:25 EDT, Radovan Drazny
no flags Details
Dropdown menu structure after the fix (74.01 KB, image/png)
2017-09-12 06:41 EDT, Radovan Drazny
no flags Details

  None (edit)
Description Radovan Drazny 2017-06-15 10:24:03 EDT
Description of problem:
With multiple custom base and child channels on the Sat server, the channel drop down menu on the ../rhn/software/manage/packages/PackageList.do page is messed up.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Create number of base channels (five was enough for me, probably will work even with a smaller number)
2. Create a few child channels for each base channel from step 1 (three was enough for me). There is no need for any packages in channels.
3. Go to ../rhn/software/manage/packages/PackageList.do and open the "Channel:" drop down menu.

Actual results:
Hierarchy of channels displayed in the menu is wrong. See the attached picture for an example.

Expected results:
Channel hierarchy in the menu is correct.
Comment 1 Radovan Drazny 2017-06-15 10:24 EDT
Created attachment 1288085 [details]
Real channel structure on the Sat server
Comment 2 Radovan Drazny 2017-06-15 10:25 EDT
Created attachment 1288086 [details]
Wrong structure in the drop down menu
Comment 3 Grant Gainey 2017-07-20 11:30:16 EDT
Comment 4 Grant Gainey 2017-08-15 15:13:55 EDT
Missed other users of channel_selector.jspf

Comment 5 Grant Gainey 2017-08-15 15:23:39 EDT
*** Bug 1481661 has been marked as a duplicate of this bug. ***
Comment 6 Tomas Lestach 2017-08-16 05:14:58 EDT
I do not think this BZ should be ON_QA. Switching back to MODIFIED.
Comment 9 Radovan Drazny 2017-09-12 06:41:17 EDT
Reproduced on spacewalk-java-2.5.14-95.el6sat using the reproducer from the initial report. After update to spacewalk-java-2.5.14-97.el6sat and checking the dropdown menu, the structure is correct. See the attached picture.

Comment 10 Radovan Drazny 2017-09-12 06:41 EDT
Created attachment 1324824 [details]
Dropdown menu structure after the fix
Comment 12 errata-xmlrpc 2017-10-19 07:57:19 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.